part of 'order_single_bloc.dart';

class OrderSingleState extends Equatable {
  const OrderSingleState({required this.isLoading, this.orderSingleResponse});

  final bool isLoading;
  final OrderSingleResponse? orderSingleResponse;

  OrderSingleState copyWith({
    bool? isLoading,
    OrderSingleResponse? orderSingleResponse,
  }) {
    return OrderSingleState(
      isLoading: isLoading ?? this.isLoading,
      orderSingleResponse: orderSingleResponse ?? this.orderSingleResponse,
    );
  }

  @override
  List<Object?> get props => [isLoading, orderSingleResponse];
}
